Skip to main content
POST
/
v1
/
addresses
/
{addressId}
/
signing
/
typed-data
Sign typed data (EIP-712) using an address wallet
curl --request POST \
  --url https://api.xentfi.com/v1/addresses/{addressId}/signing/typed-data \
  --header 'Content-Type: application/json' \
  --header 'apiKey: <api-key>' \
  --header 'orgId: <api-key>' \
  --data '
{
  "blockchainId": "<string>",
  "signablePayload": {
    "types": {},
    "primaryType": "<string>",
    "domain": {},
    "message": {}
  }
}
'
{
  "data": {
    "signature": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apiKey
string
header
required
orgId
string
header
required

Path Parameters

addressId
string
required

Body

application/json
blockchainId
string
required
signablePayload
object
required

Response

Typed data signed successfully

data
object